<div class="table-responsive" *ngIf="roleGroup.length > 0;else no_data">
<table class="table org-table" [mfData]="roleGroup" [mfRowsOnPage]="paginationOrgInfo.numberRowPerPage" #mf="mfDataTable" [(mfSortBy)]="paginationOrgInfo.roleGroupsortBy" [(mfSortOrder)]="paginationOrgInfo.roleGroupsortOrder">
    <thead>
        <tr>
            <th>
                <mfDefaultSorter by="Name" class="sorter"> Role Group Name </mfDefaultSorter>
            </th>
            <th>
                <mfDefaultSorter by="Count" class="sorter"> Total Users </mfDefaultSorter>
            </th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let role of mf.data">
            <td>
                <!-- <input type="checkbox" name="" /> -->
              <a href="javascript:void(0)" (click)="editRole(role)">  {{role.Name}}</a>
            </td>
            <td>
                <a href="javascript:void(0)"  (click)="gotoUser(role.RoleId)">{{role.Count}}</a>
            </td>
        </tr>
    </tbody>
    <tfoot>
        <tr>
            <td colspan="2">
            </td>
        </tr>
    </tfoot>
    <tr>
        <td colspan="2" class="text-right">
            <mfBootstrapPaginator [rowsOnPageSet]="[]"></mfBootstrapPaginator>
        </td>
    </tr>
</table>
</div>
<ng-template #no_data>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-data">
        No Role exists
    </div>
</ng-template>
<div *ngIf="userView">
<div class="table-responsive" *ngIf="user.length > 0;else no_data_user">
<table class="table org-table" [mfData]="user" [mfRowsOnPage]="paginationUserInfo.numberRowPerPage" #mfUser="mfDataTable" [(mfSortBy)]="paginationUserInfo.usersortBy" [(mfSortOrder)]="paginationUserInfo.usersortOrder">
    <thead>
        <tr>
            <th>
                <mfDefaultSorter by="DisplayName" class="sorter"> Display Name </mfDefaultSorter>
            </th>
            <th>
                <mfDefaultSorter by="JobTitle" class="sorter"> Job Title </mfDefaultSorter>
            </th>
            <th><mfDefaultSorter by="EmailId" class="sorter"> Email ID </mfDefaultSorter></th>
            
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let user of mfUser.data">
            <td>{{user.DisplayName}}</td>
            <td>{{user.JobTitle}}</td>
            <td>{{user.EmailId}}</td>
            
        </tr>
    </tbody>
    <tfoot>
        <tr>
            <td colspan="3"></td>
        </tr>
    </tfoot>
    <tr>
        <td colspan="3" class="text-right">
            <mfBootstrapPaginator [rowsOnPageSet]="[]"></mfBootstrapPaginator>
        </td>
    </tr>
</table>
</div>
<ng-template #no_data_user>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-data">
        No user exists for selected role
    </div>
</ng-template>
</div>
<!-- <app-heat-map-chart></app-heat-map-chart> -->
